Base Account API [DEPRECATED]

The Base Account API powers Patch walletsarrow-up-right and controls the EIP-4337 account abstractionarrow-up-right smart contract wallets called, Base Accounts.

Base Accounts are a simple smart contract wallet with the same address on all EVM chains and connected to a user's email, social account, phone, or an app provider. They are centered around the concept of a user_id which is a combination of a provider and username.

user_ids:

Submit a Transaction

To send a transaction through a Base Account, see the Base Tx endpoint on Postmanarrow-up-right.

Send a transaction through a Base Account on the target chain

POST https://paymagicapi.com/v1/base/tx

Headers

Name
Type
Description

Authorization*

String

Bearer Token

Request Body

Name
Type
Description

data*

String Array

The data to pass in for the the transaction. Could be multiple fields for multiple transactions.

value*

String Array

The amount of native coins to send with the transaction. Could be multiple values for multiple transactions.

to*

String Array

The contract address that the Base Account is calling. Could be multiple address for multiple transactions.

chain*

String

The ERC-3770 standard name for the target chain

userId*

String

The userId of the wallet for the transaction

auth*

String

The corresponding auth token for the given wallet. The token will vary based on whether the userId is for a Twitter, email, or telephone wallet.

Sign a Message

Coming Soon

Last updated